Bug 147676 - Install failure
Summary: Install failure
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-10 14:49 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 13:48:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (919.18 KB, text/plain)
2005-02-10 14:49 UTC, David Woodhouse
no flags Details

Description David Woodhouse 2005-02-10 14:49:21 UTC
After installing all the packages during an update from FC3 to rawhide, anaconda
died. 

Traceback (most recent call last):
  File "/usr/src/build/516567-ppc/install//usr/lib/anaconda/gui.py", line 1128,
in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/src/build/516567-ppc/install//usr/lib/anaconda/iw/progress_gui.py",
line 242, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/src/build/516567-ppc/install//usr/lib/anaconda/gui.py", line 872,
in nextClicked
    self.dispatch.gotoNext()
  File "/usr/src/build/516567-ppc/install//usr/lib/anaconda/dispatch.py", line
173, in gotoNext
    self.moveStep()
  File "/usr/src/build/516567-ppc/install//usr/lib/anaconda/dispatch.py", line
241, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/src/build/516567-ppc/install//usr/lib/anaconda/packages.py", line
58, in doPostAction
    id.instClass.postAction(instPath, flags.serial, intf)
TypeError: postAction() takes exactly 3 arguments (4 given)

Local variables in innermost frame:
intf: <gui.InstallInterface instance at 0x30387508>
instPath: /mnt/sysimage
id: <instdata.InstallData instance at 0x30387e68>

Comment 1 David Woodhouse 2005-02-10 14:49:22 UTC
Created attachment 110921 [details]
anacdump.txt

Comment 2 Jeremy Katz 2005-02-10 14:55:07 UTC
Chris fixed in CVS yesterday, just hasn't been built yet.

Comment 3 Colin Charles 2005-02-14 13:48:03 UTC
Has been rebuilt, and fixed in rawhide. PPC installs (as probably other archs)
should work again


Note You need to log in before you can comment on or make changes to this bug.